<?php

/**
 * Auto create css from Meta Options.
 * 
 * @author Fox
 * @version 1.0.0
 */
class CMSSuperHeroes_DynamicCss
{

    function __construct()
    {
        add_action('wp_head', array($this, 'generate_css'));
    }

    /**
     * generate css inline.
     *
     * @since 1.0.0
     */
    public function generate_css()
    {
        global $smof_data, $garden_base;
        $css = $this->css_render();
        if (! $smof_data['dev_mode']) {
            $css = $garden_base->compressCss($css);
        }
        echo '<style type="text/css" data-type="cms_shortcodes-custom-css">'.$css.'</style>';
    }

    /**
     * header css
     *
     * @since 1.0.0
     * @return string
     */
    public function css_render()
    {
        global $smof_data;

        ob_start();

        if (garden_get_post_meta('option_header') == "1" ) {

            echo '@media screen and (min-width: 992px) {';

            if (garden_get_post_meta('option_header_bg_color') != "") {
                echo '#cshero-header {background-color: '.garden_get_post_meta('option_header_bg_color').';}';
            }

            if (garden_get_post_meta('option_header_menu_text_color') != "" ) {

                echo"#cshero-header #cshero-header-navigation nav#site-navigation ul#menu-primary-menu > li > a {color:".garden_get_post_meta('option_header_menu_text_color').";}";
            }
            if(garden_get_post_meta('option_enable_header_fixed') == "1"){
                if (garden_get_post_meta('option_sticky_header_bg_color') != "") {
                    echo '#cshero-header.header-fixed {background-color: '.garden_get_post_meta('option_sticky_header_bg_color').';}';
                }

                if (garden_get_post_meta('option_header_shadow') == 'hide') {
                    echo 'body #cshero-header.header-fixed {box-shadow: none;}';
                }

                if (garden_get_post_meta('option_sticky_header_menu_text_color') != "") {

                    echo ".header-fixed #cshero-header-navigation nav#site-navigation ul#menu-primary-menu > li > a {color:".garden_get_post_meta('option_sticky_header_menu_text_color')." !important;}";
                }
            }
        }

        /* custom css. */
        if (!empty($smof_data['custom_css'])) {
            echo ''.$smof_data['custom_css'];
        }

        return ob_get_clean();
    }
}

new CMSSuperHeroes_DynamicCss();