<?php
global $garden_base;
/**
 * Home Options
 * 
 * @author Fox
 */
/* Start Dummy Data*/

$msg = $disabled = '';
if (!class_exists('WPBakeryVisualComposerAbstract') or !class_exists('CmssuperheroesCore') or !function_exists('cptui_create_custom_post_types')){
    $disabled = ' disabled ';
    $msg='You should be install visual composer, Cmssuperheroes and Custom Post Type UI plugins to import data.';
}
$this->sections[] = array(
    'icon' => 'el-icon-briefcase',
    'title' => esc_html__('Demo Content', 'wp-garden'),
    'fields' => array(
        array(
            'subtitle' => '<input type=\'button\' name=\'sample\' id=\'dummy-data\' '.$disabled.' value=\'Import Now\' /><div class=\'cms-dummy-process\'><div  class=\'cms-dummy-process-bar\'></div></div><div id=\'cms-msg\'><span class="cms-status"></span>'.$msg.'</div>',
            'id' => 'theme',
            'icon' => true,
            'default' => 'garden',
            'options' => array(
                'garden' => get_template_directory_uri().'/assets/images/dummy/cmstheme.png'
            ),
            'type' => 'image_select',
            'title' => 'Select Theme'
        )
    )
);
/* End Dummy Data*/

/**
 * Header Options
 * 
 * @author Fox
 */
$this->sections[] = array(
    'title' => esc_html__('Header', 'wp-garden'),
    'icon' => 'el-icon-credit-card',
    'fields' => array(
        array(
            'id' => 'header_layout',
            'title' => esc_html__('Layouts', 'wp-garden'),
            'subtitle' => esc_html__('select a layout for header', 'wp-garden'),
            'default' => '',
            'type' => 'image_select',
            'options' => array(
                '' => get_template_directory_uri().'/inc/options/images/header/h-default.png'
            )
        ),
        array(
            'subtitle' => esc_html__('enable sticky mode for menu.', 'wp-garden'),
            'id' => 'menu_sticky',
            'type' => 'switch',
            'title' => esc_html__('Sticky Header', 'wp-garden'),
            'default' => false,
        ),
        array(
            'subtitle' => esc_html__('enable sticky mode for menu Tablets.', 'wp-garden'),
            'id' => 'menu_sticky_tablets',
            'type' => 'switch',
            'title' => esc_html__('Sticky Tablets', 'wp-garden'),
            'default' => false,
            'required' => array( 0 => 'menu_sticky', 1 => '=', 2 => 1 )
        ),
        array(
            'subtitle' => esc_html__('enable sticky mode for menu Mobile.', 'wp-garden'),
            'id' => 'menu_sticky_mobile',
            'type' => 'switch',
            'title' => esc_html__('Sticky Mobile', 'wp-garden'),
            'default' => false,
            'required' => array( 0 => 'menu_sticky', 1 => '=', 2 => 1 )
        )
    )
);

$this->sections[] = array(
    'title' => esc_html__('Menu', 'wp-garden'),
    'icon' => 'el-icon-tasks',
    'subsection' => true,
    'fields' => array(
        array(
            'subtitle' => esc_html__('Enable mega menu.', 'wp-garden'),
            'id' => 'menu_mega',
            'type' => 'switch',
            'title' => esc_html__('Mega Menu', 'wp-garden'),
            'default' => false,
        ),
    )
);
/* Logo */
$this->sections[] = array(
    'title' => esc_html__('Logo', 'wp-garden'),
    'icon' => 'el-icon-picture',
    'subsection' => true,
    'fields' => array(
        array(
            'title' => esc_html__('Select Logo', 'wp-garden'),
            'subtitle' => esc_html__('Select an image file for your logo.', 'wp-garden'),
            'id' => 'main_logo',
            'type' => 'media',
            'url' => true,
            'default' => array(
                'url'=>get_template_directory_uri().'/assets/images/logo.png'
            )
        ),
        array(
            'id'       => 'logo_height',
            'type'     => 'dimensions',
            'units'    => array('px'),
            'width'    => false,
            'title'    => esc_html__('Logo Height', 'wp-garden'),
            'subtitle' => esc_html__('Set height of logo.', 'wp-garden'),
            'default'  => array(
                'height'  => '103'
            ),
        ),
        array(
            'id'       => 'stiky_logo_height',
            'type'     => 'dimensions',
            'units'    => array('px'),
            'width'    => false,
            'output'  => array('#cshero-header.header-fixed #cshero-header-logo a img'),
            'title'    => esc_html__('Sticky Logo Height', 'wp-garden'),
            'subtitle' => esc_html__('Set height of logo when sticky.', 'wp-garden'),
            'default'  => array(
                'height'  => '60'
            ),
        ),
    )
);

/**
 * Page Title
 *
 * @author Fox
 */
$this->sections[] = array(
    'title' => esc_html__('Page Title & BC', 'wp-garden'),
    'icon' => 'el-icon-map-marker',
    'fields' => array(
        array(
            'id' => 'page_title_layout',
            'title' => esc_html__('Layouts', 'wp-garden'),
            'subtitle' => esc_html__('select a layout for page title', 'wp-garden'),
            'default' => '1',
            'type' => 'image_select',
            'options' => array(
                '' => get_template_directory_uri().'/inc/options/images/pagetitle/pt-s-0.png',
                '1' => get_template_directory_uri().'/inc/options/images/pagetitle/pt-s-1.png',
            )
        ),
        array(
            'id'       => 'page_title_background',
            'type'     => 'background',
            'title'    => esc_html__( 'Background', 'wp-garden' ),
            'subtitle' => esc_html__( 'page title background with image, color, etc.', 'wp-garden' ),
            'output'   => array('.page-title'),
            'default'  => array(
                'background-image' => get_template_directory_uri().'/assets/images/bg-page-title.jpg',
                'background-color' => '#F7F8FA',
            ),
        ),
        array(
            'subtitle' => esc_html__('Set color overlay for page title.', 'wp-garden'),
            'id' => 'overlay_page_title',
            'type' => 'color',
            'title' => esc_html__('Page Title Overlay', 'wp-garden'),
            'default' => '#F7F8FA',
            'output'   => array('background-color' => '.page-title.page-title-parallax .overlay')
        ),
    )
);
/* Page Title */
$this->sections[] = array(
    'icon' => 'el-icon-podcast',
    'title' => esc_html__('Page Title', 'wp-garden'),
    'subsection' => true,
    'fields' => array(
        array(
            'id' => 'page_title_typography',
            'type' => 'typography',
            'title' => esc_html__('Typography', 'wp-garden'),
            'google' => true,
            'font-backup' => true,
            'all_styles' => true,
            'text-align' => false,
            'output'  => array('.page-title #page-title-text h1'),
            'units' => 'px',
            'subtitle' => esc_html__('Typography option with title text.', 'wp-garden')
        ),
    )
);
/* Breadcrumb */
$this->sections[] = array(
    'icon' => 'el-icon-random',
    'title' => esc_html__('Breadcrumb', 'wp-garden'),
    'subsection' => true,
    'fields' => array(
        array(
            'subtitle' => esc_html__('The text before the breadcrumb home.', 'wp-garden'),
            'id' => 'breacrumb_home_prefix',
            'type' => 'text',
            'title' => esc_html__('Breadcrumb Home Prefix', 'wp-garden'),
            'default' => 'Home'
        ),
        array(
            'id' => 'breacrumb_typography',
            'type' => 'typography',
            'title' => esc_html__('Typography', 'wp-garden'),
            'google' => true,
            'font-backup' => true,
            'all_styles' => true,
            'text-align' => false,
            'output'  => array('.page-title #breadcrumb-text','.page-title #breadcrumb-text ul li a'),
            'units' => 'px',
            'subtitle' => esc_html__('Typography option with title text.', 'wp-garden'),
            'default' => array(
                'color' => '',
            )
        ),
    )
);

/**
 * Body
 *
 * @author Fox
 */
$this->sections[] = array(
    'title' => esc_html__('Body', 'wp-garden'),
    'icon' => 'el-icon-website',
    'fields' => array(
        array(
            'subtitle' => esc_html__('Set layout boxed default(Wide).', 'wp-garden'),
            'id' => 'body_layout',
            'type' => 'switch',
            'title' => esc_html__('Boxed Layout', 'wp-garden'),
            'default' => false,
        ),
        array(
            'id'       => 'body_background',
            'type'     => 'background',
            'title'    => esc_html__( 'Background', 'wp-garden' ),
            'subtitle' => esc_html__( 'body background with image, color, etc.', 'wp-garden' ),
            'output'   => array('body'),
        ),
    )
);

/**
 * Content
 * 
 * Archive, Pages, Single, 404, Search, Category, Tags .... 
 * @author Fox
 */
$this->sections[] = array(
    'title' => esc_html__('Content', 'wp-garden'),
    'icon' => 'el-icon-compass',
    'subsection' => true,
    'fields' => array(
        array(
            'id'       => 'container_background',
            'type'     => 'background',
            'title'    => esc_html__( 'Background', 'wp-garden' ),
            'subtitle' => esc_html__( 'Container background with image, color, etc.', 'wp-garden' ),
            'output'   => array('#main'),
        ),
    )
);


/**
 * Page Loadding
 * 
 * 
 * @author Fox
 */
$this->sections[] = array(
    'title' => esc_html__('Page Loadding', 'wp-garden'),
    'icon' => 'el-icon-compass',
    'subsection' => true,
    'fields' => array(
        array(
            'subtitle' => esc_html__('Enable page loadding.', 'wp-garden'),
            'id' => 'enable_page_loadding',
            'type' => 'switch',
            'title' => esc_html__('Enable Page Loadding', 'wp-garden'),
            'default' => false,
        ),
    )
);

/**
 * Footer
 *
 * @author Fox
 */
$this->sections[] = array(
    'title' => esc_html__('Footer', 'wp-garden'),
    'icon' => 'el-icon-credit-card',
);

/* Footer top */
$this->sections[] = array(
    'title' => esc_html__('Footer Top', 'wp-garden'),
    'icon' => 'el-icon-fork',
    'subsection' => true,
    'fields' => array(
        array(
            'id'       => 'footer_background',
            'type'     => 'background',
            'title'    => esc_html__( 'Background', 'wp-garden' ),
            'subtitle' => esc_html__( 'footer background with image, color, etc.', 'wp-garden' ),
            'output'   => array('footer #cshero-footer-top'),
            'default'  => array(
                'background-color' => '#222222',
            )
        ),
        array(
            'subtitle' => esc_html__('Set color for header.', 'wp-garden'),
            'id' => 'header_color_top_footer',
            'type' => 'color',
            'title' => esc_html__('Header Color', 'wp-garden'),
            'default' => '#fff'
        ),
        array(
            'subtitle' => esc_html__('Set color for content.', 'wp-garden'),
            'id' => 'content_color_top_footer',
            'type' => 'color',
            'title' => esc_html__('Content Color', 'wp-garden'),
            'default' => '#767676'
        ),
        array(
            'subtitle' => esc_html__('Set color for link.', 'wp-garden'),
            'id' => 'link_color_top_footer',
            'type' => 'color',
            'title' => esc_html__('Link Color', 'wp-garden'),
            'output'  => array('a'),
            'default' => '#767676'
        )
    )
);

/* footer botton */
$this->sections[] = array(
    'title' => esc_html__('Footer Botton', 'wp-garden'),
    'icon' => 'el-icon-bookmark',
    'subsection' => true,
    'fields' => array(
        array(
            'id'       => 'copyright',
            'type'     => 'textarea',
            'title'    => esc_html__('Copyright :', 'wp-garden'),
            'default'  => '&#64; 2015 WordPress Showcase Pty Ltd. by <a href="#" >WordPress Showcase</a>'
        ),
        array(
            'subtitle' => esc_html__('set color for content.', 'wp-garden'),
            'id' => 'content_color_bottom_footer',
            'type' => 'color',
            'title' => esc_html__('Content Color', 'wp-garden'),
            'default' => '#767676'
        ),
        array(
            'subtitle' => esc_html__('set color for link.', 'wp-garden'),
            'id' => 'link_color_bottom_footer',
            'type' => 'color',
            'title' => esc_html__('Link Color', 'wp-garden'),
            'output'  => array('a'),
            'default' => '#767676'
        ),
        array(
            'subtitle' => esc_html__('set color for border.', 'wp-garden'),
            'id' => 'color_bottom_border',
            'type' => 'color',
            'title' => esc_html__('Border Top Color', 'wp-garden'),
            'output'  => array('a'),
            'default' => '#333'
        ),
        array(
            'id'       => 'footer_botton_background',
            'type'     => 'background',
            'title'    => esc_html__( 'Background', 'wp-garden' ),
            'subtitle' => esc_html__( 'background with image, color, etc.', 'wp-garden' ),
            'output'   => array('footer #cshero-footer-bottom'),
            'default'  => array(
                'background-color' => '#222222',
            )
        ),
        array(
            'subtitle' => esc_html__('enable button back to top.', 'wp-garden'),
            'id' => 'footer_botton_back_to_top',
            'type' => 'switch',
            'title' => esc_html__('Back To Top', 'wp-garden'),
            'default' => true,
        )
    )
);

$this->sections[] = array(
    'title' => esc_html__('Option Blog', 'wp-garden'),
    'icon' => 'el-icon-blogger',
    'fields' => array(
    )
);

$this->sections[] = array(
    'title' => esc_html__('Blog Single', 'wp-garden'),
    'icon' => 'el-icon-compass',
    'subsection' => true,
    'fields' => array(
        array(
            'subtitle' => 'Select Blog Single Layout',
            'id' => 'check_blog_single_layout',
            'type' => 'image_select',
            'default' => 'right-sidebar',
            'options' => array(
                'full-width' => get_template_directory_uri().'/assets/images/1col.png',
                'right-sidebar' => get_template_directory_uri().'/assets/images/2cr.png',
                'left-sidebar' => get_template_directory_uri().'/assets/images/2cl.png'
            ),
            'title' => esc_html__('Blog Single Layout', 'wp-garden'),
        ),
        array(
            'subtitle' => esc_html__('Enable paging nav in blog.', 'wp-garden'),
            'id' => 'pagingnav_blog',
            'type' => 'switch',
            'title' => esc_html__('Paging Nav', 'wp-garden'),
            'default' => false,
            'subsection' => true,
        ),
        array(
            'id'       => 'display_author_single',
            'type'     => 'switch',
            'title'    => esc_html__( 'Display author', 'wp-garden' ),
            'subtitle' => esc_html__( 'Default show.', 'wp-garden' ),
            'default' => true,
        ),
        array(
            'id'       => 'display_comment_single',
            'type'     => 'switch',
            'title'    => esc_html__( 'Display comment', 'wp-garden' ),
            'subtitle' => esc_html__( 'Default show.', 'wp-garden' ),
            'default' => true,
        ),
        array(
            'id'       => 'display_tag_single',
            'type'     => 'switch',
            'title'    => esc_html__( 'Display tags', 'wp-garden' ),
            'subtitle' => esc_html__( 'Default show.', 'wp-garden' ),
            'default' => true,
        ),
        array(
            'id'       => 'display_time_single',
            'type'     => 'switch',
            'title'    => esc_html__( 'Display time post', 'wp-garden' ),
            'subtitle' => esc_html__( 'Default show.', 'wp-garden' ),
            'default' => true,
        ),
    )
);

$this->sections[] = array(
    'title' => esc_html__('Archive Blog', 'wp-garden'),
    'icon' => 'el-icon-compass',
    'subsection' => true,
    'fields' => array(
        array(
            'subtitle' => 'Select Blog Layout',
            'id' => 'check_blog_layout',
            'type' => 'image_select',
            'default' => 'right-sidebar',
            'options' => array(
                'full-width' => get_template_directory_uri().'/assets/images/1col.png',
                'right-sidebar' => get_template_directory_uri().'/assets/images/2cr.png',
                'left-sidebar' => get_template_directory_uri().'/assets/images/2cl.png'
            ),
            'title' => esc_html__( 'Blog Layout', 'wp-garden'),
        ),
        array(
            'title' => esc_html__('Limit word', 'wp-garden'),
            'id' => 'blog_limit_word',
            'type' => 'slider',
            'subtitle' => esc_html__('Limit word of excerpt', 'wp-garden'),
            'default' => 55,
            'min'  => 20,
            'step' => 1,
            'max' => 55,
        ),
        array(
            'id'       => 'display_author_column',
            'type'     => 'switch',
            'title'    => esc_html__( 'Display author', 'wp-garden' ),
            'subtitle' => esc_html__( 'Default show.', 'wp-garden' ),
            'default' => true,
        ),
        array(
            'id'       => 'display_comment_column',
            'type'     => 'switch',
            'title'    => esc_html__( 'Display comment', 'wp-garden' ),
            'subtitle' => esc_html__( 'Default show.', 'wp-garden' ),
            'default' => true,
        ),
        array(
            'id'       => 'display_tag_column',
            'type'     => 'switch',
            'title'    => esc_html__( 'Display tags', 'wp-garden' ),
            'subtitle' => esc_html__( 'Default show.', 'wp-garden' ),
            'default' => true,
        ),
        array(
            'id'       => 'display_time_column',
            'type'     => 'switch',
            'title'    => esc_html__( 'Display time post', 'wp-garden' ),
            'subtitle' => esc_html__( 'Default show.', 'wp-garden' ),
            'default' => true,
        ),
    )
);


/*
woocommerce
*/

$this->sections[] = array(
    'title' => esc_html__('Woocommerce', 'wp-garden'),
    'icon' => 'el-icon-shopping-cart',
    'fields' => array(
        array(
            'subtitle' => esc_html__( 'Select Shop Layout', 'wp-garden' ),
            'id' => 'check_shop_layout',
            'type' => 'image_select',
            'default' => 'left-sidebar',
            'options' => array(
                'full-width' => get_template_directory_uri().'/assets/images/1col.png',
                'right-sidebar' => get_template_directory_uri().'/assets/images/2cr.png',
                'left-sidebar' => get_template_directory_uri().'/assets/images/2cl.png'
            ),
            'title' => esc_html__( 'Shop Layout', 'wp-garden' ),
        ),
        array(
            'title' => esc_html__('Number product', 'wp-garden'),
            'id' => 'shop_number',
            'type' => 'slider',
            'subtitle' => esc_html__('Number product to show', 'wp-garden'),
            'default' => 12,
            'min'  => 6,
            'step' => 1,
            'max' => 50,
        ),
    )
);

/**
 * Styling
 * 
 * css color.
 * @author Fox
 */
$this->sections[] = array(
    'title' => esc_html__('Styling', 'wp-garden'),
    'icon' => 'el-icon-adjust',
    'fields' => array(
        array(
            'subtitle' => esc_html__('set color main color.', 'wp-garden'),
            'id' => 'primary_color',
            'type' => 'color',
            'title' => esc_html__('Primary Color', 'wp-garden'),
            'default' => '#6AB42F',
        ),
        array(
            'subtitle' => esc_html__('Set secondary color.', 'wp-garden'),
            'id' => 'secondary_color',
            'type' => 'color',
            'title' => esc_html__('Secondary color', 'wp-garden'),
            'default' => '#5AA320',
        ),
        array(
            'subtitle' => esc_html__('Set color for tags <a></a>.', 'wp-garden'),
            'id' => 'link_color',
            'type' => 'color',
            'title' => esc_html__('Link Color', 'wp-garden'),
            'output'  => array('a'),
            'default' => '#6f4792'
        ),
        array(
            'subtitle' => esc_html__('Set color hover when color is main color.', 'wp-garden'),
            'id' => 'link_color_hover',
            'type' => 'color',
            'title' => esc_html__('Link Color Hover', 'wp-garden'),
            'output'  => array('a:hover'),
            'default' => '#363A47',
        ),
    )
);

/**
 * Typography
 * 
 * @author Fox
 */
$this->sections[] = array(
    'title' => esc_html__('Typography', 'wp-garden'),
    'icon' => 'el-icon-text-width',
    'fields' => array(
        array(
            'id' => 'font_body',
            'type' => 'typography',
            'title' => esc_html__('Body Font', 'wp-garden'),
            'google' => true,
            'font-backup' => true,
            'all_styles' => true,
            'output'  => array('body'),
            'units' => 'px',
            'subtitle' => esc_html__('Typography option with each property can be called individually.', 'wp-garden'),
            'default' => array(
                'color' => '#767676',
                'font-style' => 'normal',
                'font-weight' => '400',
                'font-family' => 'Open Sans',
                'google' => true,
                'font-size' => '14px',
                'line-height' => '28px',
                'text-align' => ''
            ),
        ),
        array(
            'id' => 'font_h1',
            'type' => 'typography',
            'title' => esc_html__('H1', 'wp-garden'),
            'google' => true,
            'font-backup' => true,
            'all_styles' => true,
            'output'  => array('body h1'),
            'units' => 'px',
            'default' => array(
                'color' => '#222222',
                'font-style' => '',
                'font-weight' => '',
                'font-family' => 'Raleway',
                'google' => true,
                'font-size' => '22px',
                'line-height' => '39.6px',
                'text-align' => ''
            ),
        ),
        array(
            'id' => 'font_h2',
            'type' => 'typography',
            'title' => esc_html__('H2', 'wp-garden'),
            'google' => true,
            'font-backup' => true,
            'all_styles' => true,
            'output'  => array('body h2'),
            'units' => 'px',
            'default' => array(
                'color' => '#222222',
                'font-style' => '',
                'font-weight' => '',
                'font-family' => 'Raleway',
                'google' => true,
                'font-size' => '20px',
                'line-height' => '36px',
                'text-align' => ''
            ),
        ),
        array(
            'id' => 'font_h3',
            'type' => 'typography',
            'title' => esc_html__('H3', 'wp-garden'),
            'google' => true,
            'font-backup' => true,
            'all_styles' => true,
            'output'  => array('body h3'),
            'units' => 'px',
            'default' => array(
                'color' => '#222222',
                'font-style' => '',
                'font-weight' => '',
                'font-family' => 'Raleway',
                'google' => true,
                'font-size' => '18px',
                'line-height' => '32.4px',
                'text-align' => ''
            ),
        ),
        array(
            'id' => 'font_h4',
            'type' => 'typography',
            'title' => esc_html__('H4', 'wp-garden'),
            'google' => true,
            'font-backup' => true,
            'all_styles' => true,
            'output'  => array('body h4'),
            'units' => 'px',
            'default' => array(
                'color' => '#222222',
                'font-style' => '',
                'font-weight' => '',
                'font-family' => 'Raleway',
                'google' => true,
                'font-size' => '16px',
                'line-height' => '28.8px',
                'text-align' => ''
            ),
        ),
        array(
            'id' => 'font_h5',
            'type' => 'typography',
            'title' => esc_html__('H5', 'wp-garden'),
            'google' => true,
            'font-backup' => true,
            'all_styles' => true,
            'output'  => array('body h5'),
            'units' => 'px',
            'default' => array(
                'color' => '#222222',
                'font-style' => '',
                'font-weight' => '',
                'font-family' => 'Raleway',
                'google' => true,
                'font-size' => '14px',
                'line-height' => '25.2px',
                'text-align' => ''
            ),
        ),
        array(
            'id' => 'font_h6',
            'type' => 'typography',
            'title' => esc_html__('H6', 'wp-garden'),
            'google' => true,
            'font-backup' => true,
            'all_styles' => true,
            'output'  => array('body h6'),
            'units' => 'px',
            'default' => array(
                'color' => '#222222',
                'font-style' => '',
                'font-weight' => '',
                'font-family' => 'Raleway',
                'google' => true,
                'font-size' => '14px',
                'line-height' => '25.2px',
                'text-align' => ''
            ),
        )
    )
);

/* extra font. */
$this->sections[] = array(
    'title' => esc_html__('Extra Fonts', 'wp-garden'),
    'icon' => 'el el-fontsize',
    'subsection' => true,
    'fields' => array(
        array(
            'id' => 'google-font-1',
            'type' => 'typography',
            'title' => esc_html__('Font 1', 'wp-garden'),
            'google' => true,
            'font-backup' => false,
            'font-style' => false,
            'color' => false,
            'text-align'=> false,
            'line-height'=>false,
            'font-size'=> false,
            'subsets'=> false,
        ),
        array(
            'id' => 'google-font-selector-1',
            'type' => 'textarea',
            'title' => esc_html__('Selector 1', 'wp-garden'),
            'subtitle' => esc_html__('add html tags ID or class (body,a,.class,#id)', 'wp-garden'),
            'validate' => 'no_html',
            'default' => '',
        ),
        array(
            'id' => 'google-font-2',
            'type' => 'typography',
            'title' => esc_html__('Font 2', 'wp-garden'),
            'google' => true,
            'font-backup' => false,
            'font-style' => false,
            'color' => false,
            'text-align'=> false,
            'line-height'=>false,
            'font-size'=> false,
            'subsets'=> false,
        ),
        array(
            'id' => 'google-font-selector-2',
            'type' => 'textarea',
            'title' => esc_html__('Selector 2', 'wp-garden'),
            'subtitle' => esc_html__('add html tags ID or class (body,a,.class,#id)', 'wp-garden'),
            'validate' => 'no_html',
            'default' => '',
        ),
    )
);

/**
 * Custom CSS
 * 
 * extra css for customer.
 * @author Fox
 */
$this->sections[] = array(
    'title' => esc_html__('Custom CSS', 'wp-garden'),
    'icon' => 'el-icon-bulb',
    'fields' => array(
        array(
            'id' => 'custom_css',
            'type' => 'ace_editor',
            'title' => esc_html__('CSS Code', 'wp-garden'),
            'subtitle' => esc_html__('create your css code here.', 'wp-garden'),
            'mode' => 'css',
            'theme' => 'monokai',
        )
    )
);
/**
 * Animations
 *
 * Animations options for theme. libs css, js.
 * @author Fox
 */
$this->sections[] = array(
    'title' => esc_html__('Animations', 'wp-garden'),
    'icon' => 'el-icon-magic',
    'fields' => array(
        array(
            'subtitle' => esc_html__('Enable animation mouse scroll...', 'wp-garden'),
            'id' => 'smoothscroll',
            'type' => 'switch',
            'title' => esc_html__('Smooth Scroll', 'wp-garden'),
            'default' => false
        ),
    )
);
/**
 * Optimal Core
 * 
 * Optimal options for theme. optimal speed
 * @author Fox
 */
$this->sections[] = array(
    'title' => esc_html__('Optimal Core', 'wp-garden'),
    'icon' => 'el-icon-idea',
    'fields' => array(
        array(
            'subtitle' => esc_html__('no minimize , generate css over time...', 'wp-garden'),
            'id' => 'dev_mode',
            'type' => 'switch',
            'title' => esc_html__('Dev Mode (not recommended)', 'wp-garden'),
            'default' => false
        )
    )
);