<?php
/**
 * Meta options
 * 
 * @author Fox
 * @since 1.0.0
 */
class CMSMetaOptions
{
    public function __construct()
    {
        add_action('add_meta_boxes', array($this, 'add_meta_boxes'));
        add_action('admin_enqueue_scripts', array($this, 'admin_script_loader'));
    }
    /* add script */
    function admin_script_loader()
    {
        global $pagenow;
        if (is_admin() && ($pagenow == 'post-new.php' || $pagenow == 'post.php')) {
            wp_enqueue_style('metabox', get_template_directory_uri() . '/inc/options/css/metabox.css');
            
            wp_enqueue_script('easytabs', get_template_directory_uri() . '/inc/options/js/jquery.easytabs.min.js');
            wp_enqueue_script('metabox', get_template_directory_uri() . '/inc/options/js/metabox.js');
        }
    }
    /* add meta boxs */
    public function add_meta_boxes()
    {
        $this->add_meta_box('template_page_options', esc_html__('Setting', 'wp-garden'), 'page');
        $this->add_meta_box('template_team_options', esc_html__('Team Option', 'wp-garden'), 'team');
        $this->add_meta_box('template_pricing', esc_html__('Pricing Option', 'wp-garden'), 'pricing');
        $this->add_meta_box('template_portfolio', esc_html__('Info Client', 'wp-garden'), 'portfolio');
    }
    
    public function add_meta_box($id, $label, $post_type, $context = 'advanced', $priority = 'default')
    {
        add_meta_box('_cms_' . $id, $label, array($this, $id), $post_type, $context, $priority);
    }

    /* --------------------- PAGE ---------------------- */

    function template_page_options(){
        ?>
        <div class="tab-container clearfix">
	        <ul class='etabs clearfix'>
	           <li class="tab"><a href="#tabs-page-title"><i class="fa fa-connectdevelop"></i><?php esc_html_e('Page Title', 'wp-garden'); ?></a></li>
	           <li class="tab"><a href="#tabs-header"><i class="fa fa-diamond"></i><?php esc_html_e('Header', 'wp-garden'); ?></a></li>
            </ul>
	        <div class='panel-container'>
                <div id="tabs-page-title">
                <?php
                /* page title. */
                cms_options(array(
                    'id' => 'page_title',
                    'label' => esc_html__('Custom','wp-garden'),
                    'type' => 'switch',
                    'options' => array('on'=>'1','off'=>''),
                    'follow' => array('1'=>array('#page_title_enable')),
                    'default' => false,
                ));
                ?>  <div id="page_title_enable"><?php
                cms_options(array(
                    'id' => 'page_title_sub_text',
                    'label' => esc_html__('Sub Title','wp-garden'),
                    'type' => 'text',
                ));
                cms_options(array(
                    'id' => 'page_title_type',
                    'label' => esc_html__('Layout','wp-garden'),
                    'type' => 'imegesselect',
                    'options' => array(
                        '' => get_template_directory_uri().'/inc/options/images/pagetitle/pt-s-0.png',
                        '1' => get_template_directory_uri().'/inc/options/images/pagetitle/pt-s-1.png',
                    )
                ));
                cms_options(array(
                    'id' => 'style_page_title',
                    'label' => esc_html__('Page Title Parallax','wp-garden'),
                    'type' => 'switch',
                    'options' => array('on'=>'1','off'=>''),
                    'follow' => array('1'=>array('#bg_page_title_enable')),
                    'default' => false,
                ));
                ?><div id="bg_page_title_enable"><?php
                cms_options(array(
                    'id' => 'pagetitle_bg',
                    'label' => esc_html__('Page title background','wp-garden'),
                    'type' => 'image',
                    'default' => '',
                ));
                ?>
                </div>
                </div>
                </div>
                <div id="tabs-header">
                <?php
                /* header. */
                cms_options(array(
                    'id' => 'option_header',
                    'label' => esc_html__('Custom','wp-garden'),
                    'type' => 'switch',
                    'options' => array('on'=>'1','off'=>''),
                    'follow' => array('1'=>array('#option_page_header_enable')),
                    'default' => false,
                ));
                cms_options(array(
                    'id' => 'option_header_top',
                    'label' => esc_html__('Off Head Top','wp-garden'),
                    'type' => 'switch',
                    'default' => false,
                ));
                ?>  <div id="option_page_header_enable"><?php
                cms_options(array(
                    'id' => 'option_header_bg_color',
                    'label' => esc_html__('Header Background Color', 'wp-garden'),
                    'type' => 'color',
                    'default' => 'rgba(0, 0, 0, 0.8)',
                    'rgba' => true
                ));
                cms_options(array(
                    'id' => 'option_header_menu_text_color',
                    'label' => esc_html__('Header Text color', 'wp-garden'),
                    'type' => 'color',
                    'default' => '#222',
                    'rgba' => false
                ));
                ?>
                <?php
                cms_options(array(
                    'id' => 'option_enable_header_fixed',
                    'label' => esc_html__('Header Sticky','wp-garden'),
                    'type' => 'switch',
                    'options' => array('on'=>'1','off'=>''),
                    'follow' => array('1'=>array('#option_page_header_color_config')),
                    'default' => true,
                ));?>
                <div id="option_page_header_color_config">
                    <?php
                        cms_options(array(
                            'id' => 'option_sticky_header_bg_color',
                            'label' => esc_html__('Sticky - Header Background Color', 'wp-garden'),
                            'type' => 'color',
                            'default' => '#fff',
                            'rgba' => true
                        ));
                        cms_options(array(
                            'id' => 'option_sticky_header_menu_text_color',
                            'label' => esc_html__('Sticky Text color', 'wp-garden'),
                            'type' => 'color',
                            'default' => '#222',
                            'rgba' => false
                        ));
                        cms_options(array(
                            'id' => 'option_header_shadow',
                            'label' => esc_html__('Show Header Bottom Shadow','wp-garden'),
                            'type' => 'select',
                            'options' => array(
                                'inherit'=>'Inherit',
                                'hide'=>'Hide',
                            )
                        ));
                    ?>
                </div>
                </div>
            </div>
        </div>
        <?php
    }

    function template_team_options(){
        ?>
        <div id="tabs-1">
            <?php
            cms_options(array(
                'id' => 'mail_link',
                'label' => esc_html__('Mail link:', 'wp-garden'),
                'type' => 'text',
            ));
            ?>
        </div>
        <div id="tabs-2">
            <?php
            cms_options(array(
                'id' => 'gplus_link',
                'label' => esc_html__('Google+ link:', 'wp-garden'),
                'type' => 'text',
            ));
            ?>
        </div>
        <div id="tabs-3">
            <?php
            cms_options(array(
                'id' => 'twitter_link',
                'label' => esc_html__('Twitter link:', 'wp-garden'),
                'type' => 'text',
            ));
            ?>
        </div>
        <div id="tabs-4">
            <?php
            cms_options(array(
                'id' => 'facebook_link',
                'label' => esc_html__('Facebook link:', 'wp-garden'),
                'type' => 'text',
            ));
            ?>
        </div>
    <?php
    }

    function template_portfolio(){
        ?>
        <div id="tabs-1">
            <?php
            cms_options(array(
                'id' => 'author_client',
                'label' => esc_html__('Client:', 'wp-garden'),
                'type' => 'text',
            ));
            ?>
        </div>
        <div id="tabs-2">
            <?php
            cms_options(array(
                'id' => 'url_client',
                'label' => esc_html__('Wedsite Client:', 'wp-garden'),
                'type' => 'text',
            ));
            ?>
        </div>
    <?php
    }

    function template_pricing(){
        cms_options(array(
            'id' => 'currency',
            'label' => esc_html__('Currency:', 'wp-garden'),
            'type' => 'text',
        ));
        cms_options(array(
            'id' => 'value',
            'label' => esc_html__('Price:', 'wp-garden'),
            'type' => 'text',
        ));
        cms_options(array(
            'id' => 'sub_title',
            'label' => esc_html__('Sub Title:','wp-garden'),
            'type' => 'text',
        ));
        cms_options(array(
            'id' => 'option1',
            'label' => esc_html__('Option 1:','wp-garden'),
            'type' => 'text',
        ));
        cms_options(array(
            'id' => 'option2',
            'label' => esc_html__('Option 2:','wp-garden'),
            'type' => 'text',
        ));
        cms_options(array(
            'id' => 'option3',
            'label' => esc_html__('Option 3:','wp-garden'),
            'type' => 'text',
        ));
        cms_options(array(
            'id' => 'option4',
            'label' => esc_html__('Option 4:','wp-garden'),
            'type' => 'text',
        ));
        cms_options(array(
            'id' => 'option5',
            'label' => esc_html__('Option 5:','wp-garden'),
            'type' => 'text',
        ));
        cms_options(array(
            'id' => 'text_button',
            'label' => esc_html__('Button Text:','wp-garden'),
            'type' => 'text',
        ));
        cms_options(array(
            'id' => 'url_button',
            'label' => esc_html__('Button Url:','wp-garden'),
            'type' => 'text',
        ));
    }
}

new CMSMetaOptions();