<?php
/**
 * Page title template
 * @since 1.0.0
 * @author Fox
 */
function garden_page_title(){
	
    global $smof_data, $garden_base,$post;
    
    $page_title = garden_get_post_meta('page_title');
    
    $sub_title = garden_get_post_meta('page_title_sub_text');

    $style_page_title = garden_get_post_meta('style_page_title');

    $bg_title = garden_get_post_meta('pagetitle_bg');
  
    /* page options */
    if(is_page() && $page_title)
       $smof_data['page_title_layout'] = garden_get_post_meta('page_title_type');

    if($smof_data['page_title_layout']){
        ?>
        <div id="page-title" class="cms_parallax page-title <?php if ($style_page_title =='1'){ echo 'page-title-parallax'; } ?>" <?php if($bg_title != ""){ ?>style="background-image: url('<?php echo wp_get_attachment_url($bg_title); ?>')" <?php } ?>>
            <div class="overlay"></div>
            <div class="container">
            <div class="row">
            <?php switch ($smof_data['page_title_layout']){
                case '1':
                    ?>
                    <div id="page-title-text" class="col-xs-12 col-sm-12 col-md-12 col-lg-12"><?php if(!empty($sub_title)) {garden_page_sub_title();}else{echo ''.$garden_base->getPageTitle();}  ?></div>
                    <div id="breadcrumb-text" class="col-xs-12 col-sm-12 col-md-12 col-lg-12"><?php $garden_base->getBreadCrumb(); ?></div>
                    <?php
                    break;
                case '2':
                    ?>
                    <div id="breadcrumb-text" class="col-xs-12 col-sm-12 col-md-12 col-lg-12"><?php $garden_base->getBreadCrumb(); ?></div>
                    <div id="page-title-text" class="col-xs-12 col-sm-12 col-md-12 col-lg-12"><h1><?php $garden_base->getPageTitle(); ?></h1><?php garden_page_sub_title(); ?></div>
                    <?php          
                    break;
                case '3':
                    ?>
                    <div id="page-title-text" class="col-xs-12 col-sm-6 col-md-6 col-lg-6"><h1><?php $garden_base->getPageTitle(); ?></h1><?php garden_page_sub_title(); ?></div>
                    <div id="breadcrumb-text" class="col-xs-12 col-sm-6 col-md-6 col-lg-6"><?php $garden_base->getBreadCrumb(); ?></div>
                    <?php
                    break;
                case '4':
                    ?>
                    <div id="breadcrumb-text" class="col-xs-12 col-sm-6 col-md-6 col-lg-6"><?php $garden_base->getBreadCrumb(); ?></div>
                    <div id="page-title-text" class="col-xs-12 col-sm-6 col-md-6 col-lg-6"><h1><?php $garden_base->getPageTitle(); ?></h1><?php garden_page_sub_title(); ?></div>
                    <?php
                    break;
                case '5':
                    ?>
                    <div id="page-title-text" class="col-xs-12 col-sm-12 col-md-12 col-lg-12"><h1><?php $garden_base->getPageTitle(); ?></h1><?php garden_page_sub_title(); ?></div>
                    <?php
                    break;
                case '6':
                    ?>
                    <div id="breadcrumb-text" class="col-xs-12 col-sm-6 col-md-6 col-lg-6"><?php $garden_base->getBreadCrumb(); ?></div>
                    <?php
                    break;
            } ?>
            </div>
            </div>
        </div><!-- #page-title -->
        <?php
    }
}

/**
 * Get sub page title.
 *
 * @author Fox
 */
function garden_page_sub_title(){
	
    global $post;
    
    $sub_title = garden_get_post_meta('page_title_sub_text');

    if(!empty($sub_title)){
        echo '<div class="page-sub-title">'.esc_html($sub_title).'</div>';
    }
}

/**
 * Get Header Layout.
 * 
 * @author Fox
 */
function garden_header(){
	
    global $smof_data;
    
    $custom_header = garden_get_post_meta('header');
    
    /* header for page */
    if($custom_header)
        $smof_data['header_layout'] = garden_get_post_meta('header_layout');
    /* load template. */
    get_template_part('inc/header/header', $smof_data['header_layout']);
}

/**
 * Get menu location ID.
 * 
 * @param string $option
 * @return NULL
 */
function garden_menu_location($option = 'primary'){
	
	$location = garden_get_post_meta($option);
	
    /* get menu id from page setting */
    return ($location) ? $location : null ;
}

function garden_get_page_loading() {
    global $smof_data;
    
    if($smof_data['enable_page_loadding']){
        echo '<div id="cms-loadding">';
                echo '<div class="ball"><img alt="Page loading" src="'.get_template_directory_uri().'/assets/images/load.gif"></div>';
        echo '</div>';
    }
}

/**
 * Add page class
 * 
 * @author Fox
 * @since 1.0.0
 */
function garden_page_class(){
    global $smof_data;

    $page_class = '';

    if(isset($_GET['boxed-version'])){

        $boxed_layout = ( isset($_GET['boxed-version']) ) ? trim($_GET['boxed-version']) : $smof_data['boxed-version'];

        /* check boxed layout */
        if($smof_data['body_layout'] || $boxed_layout=="on"){
            $page_class = 'cs-boxed';
        } else {
            $page_class = 'cs-wide';
        }
    }
    
    
    
    echo apply_filters('garden_page_class', $page_class);
}

/**
 * Add main class
 * 
 * @author Fox
 * @since 1.0.0
 */
function garden_main_class(){
    $main_class = '';
    /* chect content full width */
    if(is_page() && garden_get_post_meta('full_width')){
        /* full width */
        $main_class = "no-container";
    } else {
        /* boxed */
        $main_class = "container";
    }
    
    echo apply_filters('garden_main_class', $main_class);
}

/**
 * Archive detail
 * 
 * @author Fox
 * @since 1.0.0
 */

function garden_archive_detail_column_blog(){

    global $smof_data;

    ?>
    <ul>
        <?php if ($smof_data['display_author_column'] =='1'): ?>
        <li class="detail-author"><i class="fa fa-user"></i><?php the_author_posts_link(); ?></li>
        <?php endif; ?>
        <?php if ($smof_data['display_tag_column'] =='1'): ?>
        <?php if(has_tag()): ?>
        <li class="detail-tags"><?php the_tags('<i class="fa fa-tags"></i>', ', ' ); ?></li>
        <?php endif; ?>
        <?php endif; ?>
        <?php if ($smof_data['display_comment_column'] =="1"): ?>
        <li class="detail-comment"><i class="fa fa-comments"></i><?php echo comments_number('0','1','%'); ?> <?php esc_html_e('Comments', 'wp-garden'); ?></li>
        <?php endif; ?>
        <?php if ($smof_data['display_time_column'] =='1'): ?>
        <li class="detail-public"><i class="fa fa-clock-o"></i><?php echo get_the_date("d F Y"); ?></li>
        <?php endif; ?>
    </ul>
    <?php
}

function garden_archive_detail_single(){

    global $smof_data;

    ?>
    <ul>
        <?php if ($smof_data['display_author_single'] =='1'): ?>
        <li class="detail-author"><i class="fa fa-user"></i><?php the_author_posts_link(); ?></li>
        <?php endif; ?>
        <?php if ($smof_data['display_tag_single'] =='1'): ?>
        <?php if(has_tag()): ?>
        <li class="detail-tags"><?php the_tags('<i class="fa fa-tags"></i>', ', ' ); ?></li>
        <?php endif; ?>
        <?php endif; ?>
        <?php if ($smof_data['display_comment_single'] =="1"): ?>
        <li class="detail-comment"><i class="fa fa-comments"></i><?php echo comments_number('0','1','%'); ?> <?php esc_html_e('Comments', 'wp-garden'); ?></li>
        <?php endif; ?>
        <?php if ($smof_data['display_time_single'] =='1'): ?>
        <li class="detail-public"><i class="fa fa-clock-o"></i><?php echo get_the_date("d F Y"); ?></li>
        <?php endif; ?>
    </ul>
    <?php
}

function garden_archive_detail_tags_author(){

    global $smof_data;

    ?>
    <ul>
        <?php if ($smof_data['display_author_tags_author'] =='1'): ?>
        <li class="detail-author"><i class="fa fa-user"></i><?php the_author_posts_link(); ?></li>
        <?php endif; ?>
        <?php if ($smof_data['display_tag_tags_author'] =='1'): ?>
        <?php if(has_tag()): ?>
        <li class="detail-tags"><?php the_tags('<i class="fa fa-tags"></i>', ', ' ); ?></li>
        <?php endif; ?>
        <?php endif; ?>
        <?php if ($smof_data['display_comment_tags_author'] =="1"): ?>
        <li class="detail-comment"><i class="fa fa-comments"></i><?php echo comments_number('0','1','%'); ?> <?php esc_html_e('Comments', 'wp-garden'); ?></li>
        <?php endif; ?>
        <?php if ($smof_data['display_time_tags_author'] =='1'): ?>
        <li class="detail-public"><i class="fa fa-clock-o"></i><?php echo get_the_date("d F Y"); ?></li>
        <?php endif; ?>
    </ul>
    <?php
}

function garden_archive_detail_blog_home(){
    ?>
    <ul>
        <li class="detail-author"><i class="fa fa-user"></i><?php the_author_posts_link(); ?></li>
        <?php if(has_tag()): ?>
        <li class="detail-tags"><?php the_tags('<i class="fa fa-tags"></i>', ' , ' ); ?></li>
        <?php endif; ?>
        <li class="detail-comment"><i class="fa fa-comments"></i><?php echo comments_number('0','1','%'); ?> <?php esc_html_e('Comments', 'wp-garden'); ?></li>
    </ul>
    <?php
}
/**
 * Archive detail
 * 
 * @author Fox
 * @since 1.0.0
 */
function garden_date_portfolio(){
    ?>
        <li class="detail-public">Public <span><?php echo get_the_date("d F Y"); ?></span></li>
    <?php
}
function garden_categories_portfolio(){
    ?>
        <?php if(has_category()): ?>
        <li class="detail-categories">Category <span><?php the_terms( get_the_ID(), 'catetory-portfolio', '' , ' / ' ); ?> </span></li>
        <?php endif; ?>
    <?php
}

function garden_categories(){
    ?>
    <ul>
        <?php if(has_category()): ?>
        <li class="detail-categories"><?php the_terms( get_the_ID(), 'category', '' , ' / ' ); ?></li>
        <?php endif; ?>
    </ul>
    <?php
}

/**
 * Archive readmore
 * 
 * @author Fox
 * @since 1.0.0
 */
function garden_archive_readmore(){
    echo '<a class="readmore" href="'.get_the_permalink().'" title="'.get_the_title().'" >'.esc_html__('Read more', 'wp-garden').'</a>';
}

/**
 * Media Audio.
 * 
 * @param string $before
 * @param string $after
 */
function garden_archive_audio($tag = '') {
	global $garden_base;
    /* get shortcode audio. */
    $shortcode = $garden_base->getShortcodeFromContent($tag, get_the_content());
    
    if($shortcode != ''){
        echo do_shortcode($shortcode);
        
        return true;
        
    } else {
        if(has_post_thumbnail()){
            the_post_thumbnail();
        }
        
        return false;
    }
    
}

/**
 * Media Video.
 *
 * @param string $before
 * @param string $after
 */
function garden_archive_video() {
    
    global $wp_embed, $garden_base;
    /* Get Local Video */
    $local_video = $garden_base->getShortcodeFromContent('video', get_the_content());
    
    /* Get Youtobe or Vimeo */
    $remote_video = $garden_base->getShortcodeFromContent('embed', get_the_content());
    
    if($local_video){
        /* view local. */
        echo do_shortcode($local_video);
        
        return true;
        
    } elseif ($remote_video) {
        /* view youtobe or vimeo. */
        echo do_shortcode($wp_embed->run_shortcode($remote_video));
        
        return true;
        
    } elseif (has_post_thumbnail()) {
        /* view thumbnail. */
        the_post_thumbnail();
    } else {
        return false;
    }
    
}

/**
 * Gallerry Images
 * 
 * @author Fox
 * @since 1.0.0
 */
function garden_archive_gallery(){
	global $garden_base;
    /* get shortcode gallery. */
    $shortcode = $garden_base->getShortcodeFromContent('gallery', get_the_content());
    
    if($shortcode != ''){
        preg_match('/\[gallery.*ids=.(.*).\]/', $shortcode, $ids);
        
        if(!empty($ids)){
        
            $array_id = explode(",", $ids[1]);
            ?>
            <div id="carousel-example-generic" class="carousel slide" data-ride="carousel">
                <div class="carousel-inner">
                <?php $i = 0; ?>
                <?php foreach ($array_id as $image_id): ?>
        			<?php
                    $attachment_image = wp_get_attachment_image_src($image_id, 'garden-size-img', false);
                    if($attachment_image[0] != ''):?>
        				<div class="item <?php if( $i == 0 ){ echo 'active'; } ?>">
                    		<img style="width:100%;" data-src="holder.js" src="<?php echo esc_url($attachment_image[0]);?>" alt="" />
                    	</div>
                    <?php $i++; endif; ?>
                <?php endforeach; ?>
                </div>
                <a class="left carousel-control" href="#carousel-example-generic" role="button" data-slide="prev">
        		    <span class="fa fa-angle-left"></span>
        		</a>
        		<a class="right carousel-control" href="#carousel-example-generic" role="button" data-slide="next">
        		    <span class="fa fa-angle-right"></span>
        		</a>
        	</div>
            <?php
            
            return true;
        
        } else {
            
            the_content();
            return false;
        }
    } else {
        if(has_post_thumbnail()){
            the_post_thumbnail();
        }
    }
}

function garden_related_post() {


    global $post;

    $posttags = get_the_category($post->ID);//get_the_category($post->ID);
    
    if(empty($posttags)) return ;
    
    $tags = array();
    
    foreach ($posttags as $tag) {
        
        $tags[] = $tag->term_id;
    }
    
    $query = new WP_Query(array('posts_per_page'=> 4, 'post_type' => 'portfolio', 'post_status'=> 'publish', 'category__in'=>$tags));
    
    if($query->have_posts()){
        ?> 
        <div class="cms-related-post">
            <div class="cms-related-post-content row clearfix"> 
                <?php
                while ($query->have_posts()): $query->the_post();
                /* get categories */
                    $taxo = 'catetory-portfolio';
                    $_category = array();
                    if(!isset($atts['cat']) || $atts['cat']==''){
                        $terms = get_terms($taxo);
                        foreach ($terms as $cat){
                            $_category[] = $cat->term_id;
                        }
                    } else {
                        $_category  = explode(',', $atts['cat']);
                    }
                    $atts['categories'] = $_category;
                ?>

                    <div class="col-xs-12 col-sm-3 col-md-3 col-lg-3">
                        <article>
                            <div class="cms-grid-item <?php echo esc_attr($atts['item_class']);?>" data-groups='[<?php echo implode(',', $groups);?>]'>
                                <div class="hidden-info">
                                    <div class="thumbnail">
                                        <?php 
                                            if(has_post_thumbnail() && !post_password_required() && !is_attachment() &&  wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), $size, false)):
                                                $class = ' has-thumbnail';
                                                $thumbnail = get_the_post_thumbnail(get_the_ID(),$size);
                                            else:
                                                $class = ' no-image';
                                                $thumbnail = '<img src="'.get_template_directory_uri().'/assets/images/no-image.jpg" alt="'.get_the_title().'" />';
                                            endif;
                                            echo '<div class="cms-grid-media '.esc_attr($class).'">'.$thumbnail.'</div>';
                                        ?>
                                    </div>
                                    <div class="link">
                                        <a href="<?php echo wp_get_attachment_url( get_post_thumbnail_id(get_the_ID(),'full') );?>"><i class="fa fa-search"></i></a>
                                        <a href="<?php the_permalink();?>"><i class="fa fa-link"></i></a>
                                    </div>
                                </div>
                                
                                <div class="show-info">
                                    <div class="cms-grid-title">
                                        <a href="<?php the_permalink();?>"><?php the_title();?></a>
                                    </div>
                                    <div class="cms-grid-categories">
                                        <?php echo get_the_term_list( get_the_ID(), $taxo, '', ', ', '' ); ?>
                                    </div>
                                </div>
                            </div>
                    </article>
                </div>
                <?php
                endwhile;
                ?> 
            </div> 
        </div> 
        <?php
    }
    
    wp_reset_postdata();
}

/**
 * Quote Text.
 * 
 * @author Fox
 * @since 1.0.0
 */
function garden_archive_quote() {
    /* get text. */
    preg_match('/\<blockquote\>(.*)\<\/blockquote\>/', get_the_content(), $blockquote);
    
    if(!empty($blockquote[0])){
        echo ''.$blockquote[0].'';
        return true;
    } else {
        if(has_post_thumbnail()){
            the_post_thumbnail();
        }
        return false;
    }
}

/**
 * Get icon from post format.
 * 
 * @return multitype:string Ambigous <string, mixed>
 * @author Fox
 * @since 1.0.0
 */
function garden_archive_post_icon() {
    $post_icon = array('icon'=>'fa fa-file-text-o','text'=>esc_html__('STANDARD', 'wp-garden'));
    switch (get_post_format()) {
        case 'gallery':
            $post_icon['icon'] = 'fa fa-camera-retro';
            $post_icon['text'] = esc_html__('GALLERY', 'wp-garden');
            break;
        case 'link':
            $post_icon['icon'] = 'fa fa-external-link';
            $post_icon['text'] = esc_html__('LINK', 'wp-garden');
            break;
        case 'quote':
            $post_icon['icon'] = 'fa fa-quote-left';
            $post_icon['text'] = esc_html__('QUOTE', 'wp-garden');
            break;
        case 'video':
            $post_icon['icon'] = 'fa  fa-youtube-play';
            $post_icon['text'] = esc_html__('VIDEO', 'wp-garden');
            break;
        case 'audio':
            $post_icon['icon'] = 'fa fa-volume-up';
            $post_icon['text'] = esc_html__('AUDIO', 'wp-garden');
            break;
        default:
            $post_icon['icon'] = 'fa fa-image';
            $post_icon['text'] = esc_html__('STANDARD', 'wp-garden');
            break;
    }
    echo '<i class="'.$post_icon['icon'].'"></i>';
}

/**
 * 
 */
function garden_get_value_smofdata($value) {
    global $smof_data;

    if ($smof_data[$value]) {
        return $smof_data[$value];
    } else {
        return '';
    }
}