<?php
/**
 * The Header template for our theme
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package CMSSuperHeroes
 * @subpackage CMS Theme
 * @since 1.0.0
 */
?>
<?php global $smof_data; ?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="initial-scale=1, width=device-width" />
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ): ?>
<link rel="icon" type="image/png" href="<?php echo esc_url($smof_data['favicon_icon']['url']); ?>"/>
<?php endif; ?>
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
    <div id="maintenance">
        <div class="maintenance-container">
            <div class="maintenance-row">
                <div id="content-maintenance" class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
                    <div id="content-main" role="main">
                        <img src="<?php echo get_template_directory_uri(); ?>/assets/images/maintenance.png" title="maintenance" alt="maintenance">
                        <h1>Maintenance Mode</h1>
                        <p class="lead">Site is under construction now,We will be with you as soon as possible</p>
                    </div><!-- #content -->
                </div><!-- #primary -->
            </div>
        </div>
    </div>
</body>
</html>