<?php
/**
 * Template Name: Right Sidebar
 *
 * @package CMSSuperHeroes
 * @subpackage CMS Theme
 * @since 1.0.0
 * @author Fox
 */

global $smof_data, $garden_base;

$blog_column = $blog_secord_col = $blog_layout = '';

if( $smof_data['check_blog_layout'] ) { $blog_layout = $smof_data['check_blog_layout']; } ;

if( $blog_layout == 'full-width'){

    $blog_column = 'col-xs-12 col-sm-12 col-md-12 col-lg-12';
    $blog_secord_col = 'hidden-xs hidden-sm hidden-md hidden-lg';
}
else{

    $blog_column = 'col-xs-12 col-sm-8 col-md-8 col-lg-8';
    $blog_secord_col = 'col-xs-12 col-sm-4 col-md-4 col-lg-4';
}

get_header(); ?>

<div id="page-right-sidebar">
    <div class="container">
        <div class="row">
            <?php if($blog_layout == 'left-sidebar'){ ?>

            <div class="<?php echo esc_attr($blog_secord_col);?>">
                <?php get_sidebar(); ?>
            </div>

            <?php }?>
            <div id="primary" class="<?php echo esc_attr($blog_column); ?>">
                <div id="content" role="main">

                    <?php global $wp_query, $paged; ?>
                
                <?php $wp_query->query('post_type=post&showposts='.get_option('posts_per_page').'&paged='.$paged); ?>
                
                <?php if ( have_posts() ) : ?>

                    <?php while ( have_posts() ) : the_post();

                        get_template_part( 'single-templates/content/content', get_post_format() );

                    endwhile; // end of the loop.?>
                    
                    <?php garden_paging_nav(); ?>
                    
                <?php else : ?>

                    <?php get_template_part( 'single-templates/content', 'none' ); ?>
                    
                <?php endif; ?> 

                </div><!-- #content -->
            </div><!-- #primary -->
            <?php if($blog_layout == 'right-sidebar'){ ?>
            
            <div class="<?php echo esc_attr($blog_secord_col);?>">
                <?php get_sidebar(); ?>
            </div>

            <?php }?>
        </div>
    </div>
</div>
<?php get_footer(); ?>