<?php
/**
 * The template for displaying Search Results pages
 *
 * @package CMSSuperHeroes
 * @subpackage CMS Theme
 * @since 1.0.0
 */

get_header(); ?>
<div class="container">
    <div class="row">
        <div class="search-garden clearfix">
            <section id="primary" class="col-xs-12 col-sm-8 col-md-8 col-lg-8">
                <div id="content" role="main">

                <?php if ( have_posts() ) : ?>

                    <?php /* Start the Loop */ ?>
                    <?php while ( have_posts() ) : the_post(); ?>
                        <?php get_template_part( 'single-templates/content/content' ); ?>
                    <?php endwhile; ?>

                    <?php garden_paging_nav(); ?>

                <?php else : ?>

                    <article id="post-0" class="post no-results not-found">
                        <header class="entry-header">
                            <h1 class="entry-title"><?php esc_html_e( 'Nothing Found', 'wp-garden' ); ?></h1>
                        </header>

                        <div class="entry-content">
                            <p><?php esc_html_e( 'Sorry, but nothing matched your search criteria !!!', 'wp-garden' ); ?></p>
                            <?php //get_search_form(); ?>
                        </div><!-- .entry-content -->
                    </article><!-- #post-0 -->

                <?php endif; ?>

                </div><!-- #content -->
            </section><!-- #primary -->
            <div class="col-xs-12 col-sm-4 col-md-4 col-lg-4">
                <?php get_sidebar(); ?>
            </div>
        </div>
    </div>
</div>
<?php get_footer(); ?>