<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 * @package CMSSuperHeroes
 * @subpackage CMS Theme
 * @since 1.0.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="entry-blog clearfix row">
		<div class="blog-header">
			<div class="blog-feature blog-feature-image col-xs-5 col-sm-5 col-md-5 col-lg-5">
				<div class="show">
					<?php the_post_thumbnail( 'garden-size-img' ); ?>
				</div>
			</div>
			<div class="info col-xs-7 col-sm-7 col-md-7 col-lg-7">
				<div class="blog-categories">
					<?php garden_categories()?>
				</div>
				<h2 class="blog-title">
			    	<a href="<?php the_permalink(); ?>">
			    		<?php
				    		if(is_sticky()){
				                echo "<i class='fa fa-thumb-tack'></i>";
				            }
				    	?>
			    		<?php the_title(); ?>
			    	</a>
			    </h2>
			    
				<div class="blog-detail">
					<?php garden_archive_detail_column_blog(); ?>
				</div>
				<div class="blog-content">
			    <?php the_excerpt();
		    		wp_link_pages( array(
		        		'before'      => '<div class="pagination loop-pagination"><span class="page-links-title">' . esc_html__( 'Pages:','wp-garden') . '</span>',
		        		'after'       => '</div>',
		        		'link_before' => '<span class="page-numbers">',
		        		'link_after'  => '</span>',
		    		) );
				?>
			</div>
			<!-- .entry-content -->

			<footer class="blog-footer">
			    <?php garden_archive_readmore(); ?>
			    <!-- .readmore link -->
			</footer>
			<!-- .entry-footer -->
			</div>

		</div>
	</div>
	<!-- .entry-blog -->
</article>
<!-- #post -->
