<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 * @package CMSSuperHeroes
 * @subpackage CMS Theme
 * @since 1.0.0
 */

global $smof_data, $garden_base;

$author_client = garden_get_post_meta('author_client');
$url_client = garden_get_post_meta('url_client');

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="entry-portfolio">
		<div class="portfolio-header clearfix">
			<div class="col-xs-12 col-sm-6 col-md-6 col-lg-6" >
				<div class="portfolio-image">
					<?php the_post_thumbnail( 'garden-size-img-team' ); ?>
				</div>
			</div>

			<div class="info-portfolio col-xs-12 col-sm-6 col-md-6 col-lg-6">
				<div class="title">
					<h2 class="portfolio-title">
				    	<p>
				    		<?php the_title(); ?>
				    	</p>
				    </h2>
				</div>
				<div class="portfolio-content">
					<?php the_content();
			    		wp_link_pages( array(
			        		'before'      => '<div class="pagination loop-pagination"><span class="page-links-title">' . esc_html__( 'Pages:','wp-garden') . '</span>',
			        		'after'       => '</div>',
			        		'link_before' => '<span class="page-numbers">',
			        		'link_after'  => '</span>',
			    		) );
					?>
				</div>
				<ul class="client-portfolio">
					<?php garden_categories_portfolio(); ?>
					<?php garden_date_portfolio(); ?>
					<?php if ($author_client) : ?>
						<li>
							<?php echo esc_html__('Client','wp-garden'); ?> 
							<span>
				            	<?php echo ''.$author_client;?>
				            </span>
			            </li>
			        <?php endif ?>
		    		<?php if ($url_client) : ?>
		    			<li>
		    				<?php echo esc_html__('Client Website','wp-garden'); ?> 
			    			 
			    			<span>
				            	<?php echo ''.$url_client; ?>
				            </span>
			            </li>
			        <?php endif ?>
				</ul>
				<?php garden_post_nav_single_portfolio(); ?>
				<!-- .entry-content -->
			</div>
		</div>		
	</div>
	<!-- .entry-blog -->
</article>
<!-- #post -->