<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 * @package CMSSuperHeroes
 * @subpackage CMS Theme
 * @since 1.0.0
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="entry-blog-single">
		<div class="blog-header">
			<div class="info">
				<div class="blog-categories">
					<?php garden_categories()?>
				</div>
				<h2 class="blog-title">
			    	<p>
			    		<?php the_title(); ?>
			    	</p>
			    </h2>
			    
				<div class="blog-detail">
					<?php garden_archive_detail_single(); ?>
				</div>
			</div>
			<div class="blog-feature blog-feature-image">
				<?php 
                    if(has_post_thumbnail() ):
                        $thumbnail = the_post_thumbnail( 'garden-size-img' );
                    else:
                        $thumbnail = '<img src="'.get_template_directory_uri().'/assets/images/no-image.jpg" alt="'.get_the_title().'" />';
                    endif;
                    echo $thumbnail;
                ?>
			</div>
			<div class="blog-content">
				<?php the_content();
		    		wp_link_pages( array(
		        		'before'      => '<div class="pagination loop-pagination"><span class="page-links-title">' . esc_html__( 'Pages:','wp-garden') . '</span>',
		        		'after'       => '</div>',
		        		'link_before' => '<span class="page-numbers">',
		        		'link_after'  => '</span>',
		    		) );
				?>
			</div>
			<!-- .entry-content -->
		</div>
	</div>
	<!-- .entry-blog -->
</article>
<!-- #post -->
