<?php
/**
 * The Template for displaying all single posts
 *
 * @package CMSSuperHeroes
 * @subpackage CMS Theme
 * @since 1.0.0
 */

$blogsingle_column = $blogsingle_secord_col = $blogsingle_layout = '';
$blogsingle_layout = garden_get_value_smofdata('check_blog_single_layout');

if( $blogsingle_layout == 'full-width'){

    $blogsingle_column = 'col-xs-12 col-sm-12 col-md-12 col-lg-12';
    $blogsingle_secord_col = 'hidden-xs hidden-sm hidden-md hidden-lg';
}
else{

    $blogsingle_column = 'col-xs-12 col-sm-8 col-md-8 col-lg-8';
    $blogsingle_secord_col = 'col-xs-12 col-sm-4 col-md-4 col-lg-4';
}

get_header(); ?>
<div class="<?php garden_main_class(); ?>">
    <div class="content-blog-box clearfix">
        <div class="row">
            <?php if($blogsingle_layout == 'left-sidebar'){ ?>

            <div class="<?php echo esc_attr($blogsingle_secord_col);?>">
                <?php get_sidebar(); ?>
            </div>

            <?php }?>
            
            <div id="primary" class="<?php echo esc_attr($blogsingle_column); ?>">
                <div id="content" role="main">

                    <?php while ( have_posts() ) : the_post(); ?>

                        <?php get_template_part( 'single-templates/single/content', get_post_format() ); ?>

                        <?php garden_post_nav(); ?>

                        <?php comments_template( '', true ); ?>

                    <?php endwhile; // end of the loop. ?>

                </div><!-- #content -->
            </div><!-- #primary -->
            <?php if($blogsingle_layout == 'right-sidebar'){ ?>
            
            <div class="<?php echo esc_attr($blogsingle_secord_col);?>">
                <?php get_sidebar(); ?>
            </div>

            <?php }?>
        </div>
    </div>
</div>
<?php get_footer(); ?>