<?php
/**
 * Add row params
 * 
 * @author Fox
 * @since 1.0.0
 */
vc_remove_param("vc_row", "video_bg");
vc_remove_param("vc_row", "video_bg_parallax");
vc_remove_param("vc_row", "parallax");
vc_remove_param("vc_row", "parallax_image");
vc_remove_param("vc_row", "video_bg_url");

vc_add_param('vc_row', array(
    'type' => 'dropdown',
    'heading' => esc_html__("Background Style", 'wp-garden'),
    'param_name' => 'bg_style',
    'value' => array(
        'Default' => '',
        'Image / Parallax' => 'img_parallax',
    ),
    'group' => esc_html__('Design Options','wp-garden'),
    'description' => esc_html__("Select the kind of background would you like to set for this row.", 'wp-garden')
));
vc_add_param('vc_row', array(
    'type' => 'textfield',
    'heading' => esc_html__("Parallax Speed", 'wp-garden'),
    'param_name' => 'bd_p_speed',
    'group' => 'Design Options',
    "dependency" => array(
        "element" => "bg_style",
        "value" => array(
            "img_parallax"
        )
    ),
    'description' => esc_html__("Set speed moving for parallax default 0.1 .", 'wp-garden')
));
vc_add_param('vc_row', array(
    'type' => 'checkbox',
    'heading' => esc_html__("Overlay Color", 'wp-garden'),
    'param_name' => 'overlay_row',
    'std' => false,
    'group' => esc_html__('Design Options','wp-garden'),
));
vc_add_param("vc_row", array(
    "type" => "colorpicker",
    "class" => "",
    "heading" => esc_html__('Color', 'wp-garden'),
    "param_name" => "overlay_color",
    'group' => 'Design Options',
    "dependency" => array(
        "element" => "overlay_row",
        "value" => array(
            "true"
        )
    ),
    "description" => ''
));
vc_add_param('vc_row', array(
    'type' => 'dropdown',
    'heading' => esc_html__("Content Alignment", 'wp-garden'),
    'param_name' => 'content_alignment',
    'value' => array(
        esc_html__('Left','wp-garden') => 'left',
        esc_html__('Right','wp-garden') => 'right',
    ),
    'description' => esc_html__("Select alignment content.", 'wp-garden')
));
vc_add_param('vc_row', array(
    'type' => 'dropdown',
    'heading' => esc_html__("Select Opacity", 'wp-garden'),
    'param_name' => 'opacity_row',
    'value' => array(
        esc_html__('Opacity Default','wp-garden') => '',
        esc_html__('Opacity 0.7','wp-garden') => '1',
        esc_html__('Opacity 0.8','wp-garden') => '2',
    ),
    'description' => esc_html__("Select alignment content.", 'wp-garden'),
    'group' => esc_html__('Design Options','wp-garden'),
));