<div class="cms-carousel owl-carousel <?php echo esc_attr($atts['template']);?>" id="<?php echo esc_attr($atts['html_id']);?>">
    <?php
    $posts = $atts['posts'];

    while($posts->have_posts()){
        $posts->the_post();

        $twitter_link = garden_get_post_meta('twitter_link');
        $mail_link = garden_get_post_meta('mail_link');
        $gplus_link = garden_get_post_meta('gplus_link');
        $facebook_link = garden_get_post_meta('facebook_link');

        ?>
        <div class="cms-carousel-team-item">
            <div class="team-item">
                <?php 
                    if(has_post_thumbnail() && !post_password_required() && !is_attachment() &&  wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'full', false)):
                        $class = ' has-thumbnail';
                        $thumbnail = get_the_post_thumbnail(get_the_ID(),'garden-size-img-sqr');
                    else:
                        $class = ' no-image';
                        $thumbnail = '<img src="'.get_template_directory_uri().'/assets/images/no-image.jpg" alt="'.get_the_title().'" />';
                    endif;
                    echo '<div class="cms-grid-media '.esc_attr($class).'">'.$thumbnail.'</div>';
                ?>
                <div class="cms-carousel-team-social">
                    <ul class="list-inline">
                    <?php if ($twitter_link) : ?>
                        <li><a href="<?php echo esc_url($mail_link);?>"><i class="fa fa-envelope"></i></a></li>
                    <?php endif ?>
                    <?php if ($gplus_link) : ?>
                        <li><a href="<?php echo esc_url($gplus_link);?>"><i class="fa fa-google-plus"></i></a></li>
                    <?php endif ?>
                    <?php if ($twitter_link) : ?>
                        <li><a href="<?php echo esc_url($twitter_link);?>"><i class="fa fa-twitter"></i></a></li>
                    <?php endif ?>
                    <?php if ($facebook_link) : ?>
                        <li><a href="<?php echo esc_url($facebook_link);?>"><i class="fa fa-facebook"></i></a></li>
                    <?php endif ?>
                    </ul>
                </div>
            </div>
            <div class="cms-carousel-team-title">
                <?php the_title();?>
            </div>
            <div class="cms-carousel-team-content">
                <?php the_content();?>
            </div>
        </div>
        <?php
    }
    ?>
</div>