<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive.
 *
 * Override this template by copying it to yourtheme/woocommerce/archive-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $breadcrumb, $pagetitle, $smof_data;

$primary_column = $secord_col = $tracking_layout = $layout = '';

if( $smof_data['check_shop_layout'] ) { $layout = $smof_data['check_shop_layout']; } else { $layout = 'right-sidebar'; } ;

$tracking_layout = (isset($_GET['shop-layout']) && $_GET['shop-layout'] = 'full-width') ? 'full-width' : $layout;

if($tracking_layout == 'full-width' || $layout == 'full-width'){
	$primary_column = 'col-xs-12 col-sm-12 col-md-12 col-lg-12';
	$secord_col ='hidden-xs hidden-sm hidden-md hidden-lg';
}
else{
	if(is_active_sidebar( 'woocommerce_sidebar' ) ){
		if( $layout == 'right-sidebar' || $layout == 'left-sidebar' ){
			$primary_column = 'col-xs-12 col-sm-8 col-md-8 col-lg-8';
    		$secord_col = 'col-xs-12 col-sm-4 col-md-4 col-lg-4';
		}
	}
	else{
		$primary_column = 'col-xs-12 col-sm-12 col-md-12 col-lg-12';
	}
}

get_header( 'shop' ); ?>
	<section id="primary-woocommerce" >
	    <main id="main" class="site-main" role="main">    
	        <div class="<?php echo get_post_meta(get_the_ID(), 'cs_layout', true) ? 'no-container' : 'container'; ?>">
	            <div class="row">
            		<?php if ( is_active_sidebar( 'woocommerce_sidebar' ) ) : 
            		if( $layout == 'left-sidebar') { ?>
	                    <div id="secondary" class="widget-area woocommerce-widget clearfix <?php echo esc_attr($secord_col); ?> sidebar" role="complementary">
	                        <?php dynamic_sidebar( 'woocommerce_sidebar' ); ?>
	                    </div><!-- #secondary -->
	                <?php } endif; ?>

	            	<div class="<?php echo  esc_attr($primary_column); ?> content-shop">
	            	

						<?php if ( have_posts() ) : ?>

							<div class="count-ordering clearfix">
								<?php
									/**
									 * woocommerce_before_shop_loop hook
									 *
									 * @hooked woocommerce_result_count - 20
									 * @hooked woocommerce_catalog_ordering - 30
									 */
									do_action( 'woocommerce_before_shop_loop' );
								?>
							</div>

							

							<?php woocommerce_product_loop_start(); ?>

								<?php woocommerce_product_subcategories(); ?>

								<?php while ( have_posts() ) : the_post(); ?>

									<?php wc_get_template_part( 'content', 'product' ); ?>

								<?php endwhile; // end of the loop. ?>

							<?php woocommerce_product_loop_end(); 

							?>

							<?php
								/**
								 * woocommerce_after_shop_loop hook
								 *
								 * @hooked woocommerce_pagination - 10
								 */
								do_action( 'woocommerce_after_shop_loop' );
							?>

						<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>

							<?php wc_get_template( 'loop/no-products-found.php' ); ?>

						<?php endif; ?>

						<?php
							/**
							 * woocommerce_after_main_content hook
							 *
							 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
							 */
							do_action( 'woocommerce_after_main_content' );
						?>


					</div>

					<?php if ( is_active_sidebar( 'woocommerce_sidebar' ) ) : 
						if( $layout == 'right-sidebar') { ?>
		                    <div id="secondary" class="widget-area woocommerce-widget clearfix <?php echo esc_attr($secord_col); ?> sidebar" role="complementary">
		                        <?php dynamic_sidebar( 'woocommerce_sidebar' ); ?>
		                    </div>
	                <?php } endif; ?>
	                
        		</div><!--end row-->
    		</div>
    	</main><!-- #main -->
	</section><!-- #primary -->

<?php get_footer( 'shop' ); ?>