<?php
/**
 * The template for displaying product content within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product.php
 *
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.5.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
global $product, $woocommerce_loop, $smof_data;

$primary_column = $secord_col = $tracking_layout = '';

if( $smof_data['check_shop_layout'] ) { $layout = $smof_data['check_shop_layout']; } else { $layout = 'right-sidebar'; } ;

if(isset($_GET['shop-layout']) ){
	
	$tracking_layout = (isset($_GET['shop-layout'])) ? trim($_GET['shop-layout']) : $smof_data['shop_layout'];
}

// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) ) {
	$woocommerce_loop['loop'] = 0;
}

// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) ) {

	if($tracking_layout == 'full-width' || $layout == 'full-width' ){
		$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 3 );
	}
	else{

		$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 2 );

	}
	
	
}

// Ensure visibility
if ( ! $product || ! $product->is_visible() ) {
	return;
}

$classes = array();

switch ($woocommerce_loop['columns']) {
	case 2:
		$classes[] = 'col-xs-12 col-sm-6 col-md-6  col-lg-6 pb-40 cms-product text-center';
		break;
	case 3:
		$classes[] = 'col-xs-12 col-sm-4 col-md-4 col-lg-4 pb-40 cms-product text-center';
		break;
	default:
		$classes[] = 'col-xs-12 col-sm-3 col-md-3 col-lg-3 pb-40 cms-product text-center';
		break;
}
?>
<div <?php post_class( $classes ); ?>>

	<?php do_action( 'woocommerce_before_shop_loop_item' ); ?>

		<div class="image-shop">
			<?php
				/**
				 * woocommerce_before_shop_loop_item_title hook
				 *
				 * @hooked woocommerce_show_product_loop_sale_flash - 10
				 * @hooked woocommerce_template_loop_product_thumbnail - 10
				 */
				do_action( 'woocommerce_before_shop_loop_item_title' );

				?>
			<div class="section-shop">
				<div class="link-shop">
					<?php
						/**
						 * woocommerce_after_shop_loop_item hook
						 *
						 * @hooked woocommerce_template_loop_add_to_cart - 10
						 */
						do_action( 'woocommerce_after_shop_loop_item' ); 
					?>
					<a href="<?php the_permalink(); ?>"><i class="fa fa-link"></i></a>
				</div>
			</div>
		</div>

			<a href="<?php the_permalink(); ?>">

			<?php

			/**
			 * woocommerce_shop_loop_item_title hook
			 *
			 * @hooked woocommerce_template_loop_product_title - 10
			 */
			do_action( 'woocommerce_shop_loop_item_title' );

			?>
				
			</a>

			<?php

			/**
			 * woocommerce_after_shop_loop_item_title hook
			 *
			 * @hooked woocommerce_template_loop_rating - 5
			 * @hooked woocommerce_template_loop_price - 10
			 */
			do_action( 'woocommerce_after_shop_loop_item_title' );
		?>

</div>