<?php
/**
 * The Template for displaying all single products.
 *
 * Override this template by copying it to yourtheme/woocommerce/single-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $breadcrumb, $pagetitle, $smof_data;

$primary_column = $secord_col = $tracking_layout = $single_layout = '';

if( isset($_GET['single-product']) ){
	$single_layout = ( isset($_GET['single-product']) && $_GET['single-product'] = 'enable-sidebar') ? 'enable-sidebar' : '';
}

if($single_layout == 'enable-sidebar'){
	$primary_column_single = 'col-xs-12 col-sm-12 col-md-8 col-lg-8';
	$secord_col_single ='col-xs-12 col-sm-12 col-md-4 col-lg-4';
}
else{
	$primary_column_single = 'col-xs-12 col-sm-10 col-sm-offset-1 col-md-10 col-md-offset-1 col-lg-10 col-lg-offset-1';
	$secord_col_single ='hidden-xs hidden-sm hidden-md hidden-lg';
}

get_header( 'shop' ); ?>

	<section id="single-shop" class="content-area<?php if($breadcrumb == '0'){ echo ' no_breadcrumb'; }; ?> <?php if(!$pagetitle){ echo ' no_page_title'; }; ?>">
		    <main id="main" class="site-main" role="main">    
		        <div class="<?php echo get_post_meta(get_the_ID(), 'cs_layout', true) ? 'no-container' : 'container'; ?>">
		            <div class="row">
		            		<?php if ( is_active_sidebar( 'woocommerce_sidebar' ) ) : ?>
			                    <div id="secondary" class="widget-area woocommerce-widget clearfix <?php echo esc_attr($secord_col_single); ?> sidebar" role="complementary">
			                        <?php dynamic_sidebar( 'woocommerce_sidebar' ); ?>
			                    </div><!-- #secondary -->
			                <?php endif; ?>
		            	
		            	<div class="<?php echo  esc_attr($primary_column_single); ?> single-content">

						<?php while ( have_posts() ) : the_post(); ?>

							<?php wc_get_template_part( 'content', 'single-product' ); ?>

						<?php endwhile; // end of the loop. ?>

						<?php
							/**
							 * woocommerce_after_main_content hook
							 *
							 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
							 */
							do_action( 'woocommerce_after_main_content' );
						?>
					</div>
				</div>
			</div>
		</main><!-- #main -->
	</section><!-- #primary -->
<?php get_footer( 'shop' ); ?>
