<?php
/**
 * Related Products
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product, $woocommerce_loop;

if ( empty( $product ) || ! $product->exists() ) {
	return;
}

$related = $product->get_related( $posts_per_page );

if ( sizeof( $related ) == 0 ) return;

$args = apply_filters( 'woocommerce_related_products_args', array(
	'post_type'            => 'product',
	'ignore_sticky_posts'  => 1,
	'no_found_rows'        => 1,
	'posts_per_page'       => 1,
	'orderby'              => $orderby,
	'post__in'             => $related,
	'post__not_in'         => array( $product->id )
) );

$products = new WP_Query( $args );

$woocommerce_loop['columns'] = 3;

if ( $products->have_posts() ) : ?>

	<div class="related products">

		<h2><?php esc_html_e( 'Related Items', 'wp-garden' ); ?></h2>
		<p class="lead"><?php esc_html_e( 'Listed below our awesome shop items!', 'wp-garden' ); ?></p>

		<?php woocommerce_product_loop_start(); ?>

			<?php while ( $products->have_posts() ) : $products->the_post(); ?>

				<?php 
				$terms = get_the_terms(get_the_ID(), 'product_cat');
                if(!empty($terms)) {
                    $product_cat = array();
                    foreach ($terms as $term){
                        $product_cat[] = $term->term_id;
                    }
                    $product_cats = '|tax_query:'.implode(', ', $product_cat);
                }

				echo apply_filters('the_content','[cms_carousel xsmall_items="1" small_items="2" medium_items="3" large_items="3" not__in="true" autoplay="false" nav="false" dots="false" margin="30" source="size:10|order_by:date|post_type:product'.$product_cats.'" cms_template="cms_carousel--related.php"]'); 
				?>

			<?php endwhile; // end of the loop. ?>

		<?php woocommerce_product_loop_end(); ?>

	</div>

<?php endif;

wp_reset_postdata();
